# $Revision: 1.5 $, $Date: 2009/06/15 13:49:56 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	MRO
%define	pnam	Compat
Summary:	MRO::Compat - mro::* interface compatibility for Perls < 5.9.5
Summary(pl.UTF-8):	MRO::Compat - moduł dla kompatybilności z interfejsem mro::* dla Perla < 5.9.5
Name:		perl-MRO-Compat
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/F/FL/FLORA/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	462b68631d5bef8c807190f1c5c17306
URL:		http://search.cpan.org/dist/MRO-Compat/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Class-C3 >= 0.19
BuildRequires:	perl-Class-C3-XS >= 0.08
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The "mro" namespace provides several utilities for dealing with method
resolution order and method caching in general in Perl 5.9.5 and
higher.

This module provides those interfaces for earlier versions of Perl
(back to 5.6.0 anyways).

%description -l pl.UTF-8
Przestrzeń nazw "mro" zapewnia niektórym narzędziom możliwość obsługi
kolejności rozwiązywania metod i ogólnie pamięci podręcznej metod w
wersji Perla 5.9.5 i wyższych.

Ten moduł udostępnia te interfejsy dla wcześniejszych wersji Perla
(począwszy od 5.6.0).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%dir %{perl_vendorlib}/MRO
%{perl_vendorlib}/MRO/Compat.pm
%{_mandir}/man3/MRO::Compat.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MRO-Compat.spec,v $
Revision 1.5  2009/06/15 13:49:56  amateja
- updated to 0.11

Revision 1.4  2008/07/20 11:35:39  qboosh
- updated to 0.09

Revision 1.3  2008/05/01 17:10:54  radek
- version 0.05

Revision 1.2  2008-03-24 15:30:42  qboosh
- pl

Revision 1.1  2007-09-09 11:44:27  radek
- new
